Bug 230138 - devel/py-os-win: Update 1.4.0 => 4.0.0
Summary: devel/py-os-win: Update 1.4.0 => 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks: 232245
  Show dependency treegraph
 
Reported: 2018-07-29 05:20 UTC by Nathan
Modified: 2019-01-11 13:14 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
Update (1.16 KB, patch)
2018-07-29 05:20 UTC, Nathan
no flags Details | Diff
py-os-win-3.0.1.patch (2.81 KB, patch)
2018-10-14 12:55 UTC, Kai Knoblich
kai: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 05:20:19 UTC
Created attachment 195580 [details]
Update
Comment 1 Nathan 2018-07-29 14:08:45 UTC
Here's the only RelNotes I could find(Atleast features,bugfix between portversion and new):

3.0.0¶
New Features¶

    os-win now allows mapping processes to job objects.

    os-win now allows attaching/detaching VHD/x images, retrieving the attached disk physical paths and changing their available and read-only status.

2.5.0¶
New Features¶

    os-win now allows detaching VM disks by their unique tag. This considerably reduces the time needed for this operation in case of passthrough disks as the disk paths no longer have to be retrieved (which can be really time consuming, especially under high load).

    os-win now supports retrieving SCSI unique ids for FibreChannel disks. This allows discovering FibreChannel disks in a more efficient way.
Comment 2 Kai Knoblich freebsd_committer 2018-10-14 12:55:24 UTC
Created attachment 198132 [details]
py-os-win-3.0.1.patch

Hello,

attached is the patch that updates devel/py-os-win to 3.0.1 . This is the latest supported
version for the OpenStack Queens release according to https://releases.openstack.org/queens/index.html#queens-os-win .

Changes by upstream:
- https://docs.openstack.org/releasenotes/os-win/queens.html

Changes to the port:
- added LICENSE_FILE
- sorted variables a bit according to the PHB
- removed line that is already used for the COMMENT from pkg-descr

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK
Comment 3 Jochen Neumeister freebsd_committer 2018-11-11 20:01:36 UTC
any news here?
Comment 4 commit-hook freebsd_committer 2019-01-11 13:06:14 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 13:05:56 UTC 2019
New revision: 489965
URL: https://svnweb.freebsd.org/changeset/ports/489965

Log:
  - Update to 3.0.1
  - Added LICENSE_FILE
  - Sorted variables a bit according to the PHB
  - Removed line that is already used for the COMMENT from pkg-descr

  Changes by upstream:
  - https://docs.openstack.org/releasenotes/os-win/queens.html

  PR:		230138
  Submitted by:	ndowens@yahoo.com, freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-os-win/Makefile
  head/devel/py-os-win/distinfo
  head/devel/py-os-win/pkg-descr